Bug 43530 - Bad links on Apache Tomcat 6.0 Documentation Index
Bad links on Apache Tomcat 6.0 Documentation Index
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Documentation
unspecified
Other other
: P2 trivial (vote)
: default
Assigned To: Tomcat Developers Mailing List
http://tomcat.apache.org/tomcat-6.0-d...
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-10-01 20:25 UTC by John
Modified: 2007-12-04 18:08 UTC (History)
0 users



Attachments
Fixes bad link in documentation, and an invalid ant mkdir command for the associated documentation. (1.16 KB, patch)
2007-10-17 05:33 UTC, Paul Shemansky
Details | Diff
More comprehensive patch (1.99 KB, patch)
2007-10-19 12:07 UTC, Tim Funk
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John 2007-10-01 20:25:41 UTC
Apache Tomcat 6.0
Documentation Index
http://tomcat.apache.org/tomcat-6.0-doc/index.html

The following links on above page are bad:

Functional Specifications
http://tomcat.apache.org/tomcat-6.0-doc/catalina/funcspecs/index.html

Catalina Javadocs
http://tomcat.apache.org/tomcat-6.0-doc/catalina/docs/api/index.html

Jasper Javadocs
http://tomcat.apache.org/tomcat-6.0-doc/jasper/docs/api/index.html
Comment 1 Paul Shemansky 2007-10-17 05:33:53 UTC
Created attachment 20994 [details]
Fixes bad link in documentation, and an invalid ant mkdir command for the associated documentation.

This should fix one of the links in the reported bug.  However three bad links
were reported.	The other two JavaDoc links seem to have been previously fixed.
However, the changes do not seem to be publishing from the SVN repository to
the main Tomcat 6 Documentation site.
Comment 2 Tim Funk 2007-10-19 12:07:34 UTC
Created attachment 21013 [details]
More comprehensive patch 

Fixes image refs and link back to home refs too. as well as incorporates the
good stuff from the previous patch
Comment 3 Tim Funk 2007-12-01 17:16:33 UTC
Patch applied to trunk of 6

http://svn.apache.org/viewvc?view=rev&revision=600222

Proposed backport to 6.0.X
Comment 4 Tim Funk 2007-12-04 18:08:13 UTC
and now applied to 6.0 - thanks!